import rpyc
from rpyc.utils.server import OneShotServer
from rpyc.core import SlaveService
import threading

def serve_threaded():
    print 'Running server'
    def run_thread():
        t = OneShotServer(SlaveService, hostname = "localhost",
                          port = 4455, reuse_addr = True, ipv6 = False,
                          authenticator = None,
                          auto_register = False)
        t.logger.quiet = False
        t.start()

    run_thread()
try:
    serve_threaded()
except e:
    print "ERROR", e
